-------------------------------
--擦除MS Office 使用痕迹
--
-------------------------------

tInitDef = {}

tInitDef[1] = {}
tInitDef[1]["gbT"]="擦除文字处理软件运行痕迹"
tInitDef[1]["big5T"]="揽埃ゅ矪瞶硁ン笲︽勃格"
tInitDef[1]["enT"]="Word processor"
tInitDef[1]["Key"]=120000
tInitDef[1]["iNoMenu"]=0
tInitDef[1]["fInstalled"]="LuaInstalled0"
tInitDef[1]["fEraseOpt"]="LuaCleaner0"
tInitDef[1]["tEraseTable"]="tEraseTable0"
tInitDef[1]["iRoot"]=2
tInitDef[1]["iSecond"]=0
tInitDef[1]["iThird"]=0

tInitDef[2] = {}
tInitDef[2]["gbT"]="擦除MS Office 2000使用痕迹"
tInitDef[2]["big5T"]="揽埃MS Office 2000ㄏノ勃格"
tInitDef[2]["enT"]="MS Office 2000"
tInitDef[2]["Key"]=120200
tInitDef[2]["iNoMenu"]=1
tInitDef[2]["fInstalled"]="LuaInstalled2000"
tInitDef[2]["fEraseOpt"]="LuaCleaner2000"
tInitDef[2]["tEraseTable"]="tEraseTable1"
tInitDef[2]["iRoot"]=2
tInitDef[2]["iSecond"]=2
tInitDef[2]["iThird"]=0

tInitDef[3] = {}
tInitDef[3]["gbT"]="擦除MS Office XP使用痕迹"
tInitDef[3]["big5T"]="揽埃MS Office XPㄏノ勃格"
tInitDef[3]["enT"]="MS Office XP"
tInitDef[3]["Key"]=120300
tInitDef[3]["iNoMenu"]=1
tInitDef[3]["fInstalled"]="LuaInstalledXp"
tInitDef[3]["fEraseOpt"]="LuaCleanerXp"
tInitDef[3]["tEraseTable"]="tEraseTable1"
tInitDef[3]["iRoot"]=2
tInitDef[3]["iSecond"]=3
tInitDef[3]["iThird"]=0

tInitDef[4] = {}
tInitDef[4]["gbT"]="擦除MS Office 2003使用痕迹"
tInitDef[4]["big5T"]="揽埃MS Office 2003ㄏノ勃格"
tInitDef[4]["enT"]="MS Office 2003"
tInitDef[4]["Key"]=120400
tInitDef[4]["iNoMenu"]=1
tInitDef[4]["fInstalled"]="LuaInstalled2003"
tInitDef[4]["fEraseOpt"]="LuaCleaner2003"
tInitDef[4]["tEraseTable"]="tEraseTable1"
tInitDef[4]["iRoot"]=2
tInitDef[4]["iSecond"]=4
tInitDef[4]["iThird"]=0

tInitDef[5] = {}
tInitDef[5]["gbT"]="擦除 Office 2007 系列痕迹"
tInitDef[5]["big5T"]="揽埃 Office 2007 ╰勃格"
tInitDef[5]["enT"]="Office 2007"
tInitDef[5]["Key"]=120413
tInitDef[5]["iNoMenu"]=1
tInitDef[5]["fInstalled"]="LuaInstalled2007"
tInitDef[5]["fEraseOpt"]="LuaCleaner2007"
tInitDef[5]["tEraseTable"]="tEraseTable"
tInitDef[5]["iRoot"]=2
tInitDef[5]["iSecond"]=5
tInitDef[5]["iThird"]=0

HKEY_CLASSES_ROOT = 0x80000000
HKEY_CURRENT_USER = 0x80000001
HKEY_LOCAL_MACHINE = 0x80000002
HKEY_USERS = 0x80000003

  require "wyzl"

function LuaInstalled0()
	local bInstalled = 1
	return bInstalled
end;

function LuaInstalled2000()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Office\\9.0")
	if( bRet == true) then
			bInstalled = 1
	end
	return bInstalled
end;

function LuaInstalledXp()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Office\\10.0")
	if( bRet == true) then
			bInstalled = 1
	end
	return bInstalled
end;

function LuaInstalled2003()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Office\\11.0")
	if( bRet == true) then
			bInstalled = 1
	end
	return bInstalled
end;

function LuaInstalled2007()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Office\\12.0")
	if( bRet == true) then
			bInstalled = 1
	end
	return bInstalled
end;

function LuaCleaner0()
	tEraseTable0 = {};
end;

function LuaCleaner2000()

	strTitle ="擦除MS Office 2000使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃MS Office 2000ㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="MS Office 2000"
  end
	
	--require "vcl"

	WYZL.PlugReset();
	
	--VCL.ShowMessage(strTitle);
	
  sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Office";
	
	sKeyPara = "\\9.0\\Word\\Recent Templates,\\9.0\\Common\\Open Find\\Microsoft Word\\Settings,\\9.0\\Word\\Resiliency\\DocumentRecovery,\\9.0\\Word\\Resiliency\\DisabledItems,\\9.0\\Common\\Internet,";
	sKeyPara = sKeyPara .. "\\9.0\\Common\\Internet\\Server Cache,\\9.0\\Word\\ProjectTemplateLocation,"
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);  
	
	sKeyPara = "\\9.0\\Excel\\Recent Files,\\9.0\\Common\\Open Find\\Microsoft Excel\\Settings,\\9.0\\Excel\\Recent Templates,\\9.0\\Excel\\Resiliency\\DocumentRecovery,\\9.0\\Excel\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\9.0\\Access\\Recent Files,\\9.0\\Common\\Open Find\\Microsoft Access\\Settings,\\9.0\\Access\\Recent Templates,\\9.0\\Access\\Resiliency\\DocumentRecovery,\\9.0\\Access\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\9.0\\PowerPoint\\Recent File List,\\9.0\\PowerPoint\\ProjectTemplateLocation,\\9.0\\PowerPoint\\RecentFolderList,\\9.0\\PowerPoint\\RecentTemplateList,\\9.0\\PowerPoint\\Recent Templates,\\9.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings,\\9.0\\PowerPoint\\Recent Templates,\\9.0\\PowerPoint\\Resiliency\\DocumentRecovery,\\9.0\\PowerPoint\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\9.0\\FrontPage\\Recent Files,\\9.0\\Common\\Open Find\\Microsoft FrontPage\\Settings,\\9.0\\FrontPage\\Recent Templates,\\9.0\\FrontPage\\Resiliency\\DocumentRecovery,\\9.0\\FrontPage\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer";
	sKeyPara = "\\Recent File List,\\Recent Page List,\\Recent Web List,\\Recently Created Servers,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage";
	sKeyPara = "\\Editor\\Recent Templates,\\Explorer\\FindMRU,\\Recent Web List,\\Recently Created Servers,\\Editor\\Insert Hyperlink\\Recently Used URLs,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Office\\Recent\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Office\\Recent\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS

	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Web Server Extensions\\Cache\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Web Server Extensions\\Cache\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS	
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaCleanerXp()

	strTitle ="擦除MS Office XP使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃MS Office XPㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="MS Office XP"
  end
	
	--require "vcl"
	
	WYZL.PlugReset();
	
	--VCL.ShowMessage(strTitle);
	
  sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Office";
	
	sKeyPara = "\\10.0\\Word\\Recent Templates,\\10.0\\Common\\Open Find\\Microsoft Word\\Settings,\\10.0\\Word\\Resiliency\\DocumentRecovery,\\10.0\\Word\\Resiliency\\DisabledItems,\\10.0\\Common\\Internet,";
	sKeyPara = sKeyPara .. "\\10.0\\Common\\Internet\\Server Cache,\\10.0\\Word\\ProjectTemplateLocation,"
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);  
	
	sKeyPara = "\\10.0\\Word\\Data,Settings\\r\\n";
	sKeyPara = sKeyPara .. "\\10.0\\Common\\Search\\Last Query,LastSearchText\\r\\n";
	sKeyPara = sKeyPara .. "\\10.0\\Clip Organizer\\Search\\Last Query,LastSearchText\\r\\n";
	sKeyPara = sKeyPara .. "\\10.0\\Clip Organizer,MRUKeywords\\r\\n";
	sKeyPara = sKeyPara .. "\\10.0\\OIS\\Options,LastTreeConfig,LastTreeSelection\\r\\n";
	sKeyPara = sKeyPara .. "\\10.0\\Access\\Settings,MRU\\r\\n";
	sKeyPara = sKeyPara .. "\\10.0\\Common\\Internet,UseRWHlinkNavigation";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);

	sKeyPara = "\\10.0\\Excel\\Recent Files,\\10.0\\Common\\Open Find\\Microsoft Excel\\Settings,\\10.0\\Excel\\Recent Templates,\\10.0\\Excel\\Resiliency\\DocumentRecovery,\\10.0\\Excel\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\10.0\\Access\\Recent Files,\\10.0\\Common\\Open Find\\Microsoft Access\\Settings,\\10.0\\Access\\Recent Templates,\\10.0\\Access\\Resiliency\\DocumentRecovery,\\10.0\\Access\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\10.0\\PowerPoint\\Recent File List,\\10.0\\PowerPoint\\ProjectTemplateLocation,\\10.0\\PowerPoint\\RecentFolderList,\\10.0\\PowerPoint\\RecentTemplateList,\\10.0\\PowerPoint\\Recent Templates,\\10.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings,\\10.0\\PowerPoint\\Recent Templates,\\10.0\\PowerPoint\\Resiliency\\DocumentRecovery,\\10.0\\PowerPoint\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\10.0\\FrontPage\\Recent Files,\\10.0\\Common\\Open Find\\Microsoft FrontPage\\Settings,\\10.0\\FrontPage\\Recent Templates,\\10.0\\FrontPage\\Resiliency\\DocumentRecovery,\\10.0\\FrontPage\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer";
	sKeyPara = "\\Recent File List,\\Recent Page List,\\Recent Web List,\\Recently Created Servers,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage";
	sKeyPara = "\\Editor\\Recent Templates,\\Explorer\\FindMRU,\\Recent Web List,\\Recently Created Servers,\\Editor\\Insert Hyperlink\\Recently Used URLs,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer";
	sKeyPara = "\\Settings,LastWebOpen";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);

	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Office\\Recent\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Office\\Recent\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS

	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Web Server Extensions\\Cache\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Web Server Extensions\\Cache\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS	
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaCleaner2003()

	strTitle ="擦除MS Office 2003使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃MS Office 2003ㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="MS Office 2003"
  end
	
	--require "vcl"
	
	WYZL.PlugReset();
	
	--VCL.ShowMessage(strTitle);
	
  sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Office";
	
	sKeyPara = "\\11.0\\Word\\Recent Templates,\\11.0\\Common\\Open Find\\Microsoft Word\\Settings,\\11.0\\Word\\Resiliency\\DocumentRecovery,\\11.0\\Word\\Resiliency\\DisabledItems,\\11.0\\Common\\Internet,";
	sKeyPara = sKeyPara .. "\\11.0\\Common\\Internet\\Server Cache,\\11.0\\Word\\ProjectTemplateLocation,"
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);  
	
	sKeyPara = "\\11.0\\Word\\Data,Settings\\r\\n";
	sKeyPara = sKeyPara .. "\\11.0\\Common\\Search\\Last Query,LastSearchText\\r\\n";
	sKeyPara = sKeyPara .. "\\11.0\\Clip Organizer\\Search\\Last Query,LastSearchText\\r\\n";
	sKeyPara = sKeyPara .. "\\11.0\\Clip Organizer,MRUKeywords\\r\\n";
	sKeyPara = sKeyPara .. "\\11.0\\OIS\\Options,LastTreeConfig,LastTreeSelection\\r\\n";
	sKeyPara = sKeyPara .. "\\11.0\\Access\\Settings,MRU\\r\\n";
	sKeyPara = sKeyPara .. "\\11.0\\Common\\Internet,UseRWHlinkNavigation";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Excel\\Recent Files,\\11.0\\Common\\Open Find\\Microsoft Excel\\Settings,\\11.0\\Excel\\Recent Templates,\\11.0\\Excel\\ProjectTemplateLocation,\\11.0\\Excel\\Resiliency\\DocumentRecovery,\\11.0\\Excel\\Resiliency\\DisabledItems,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\11.0\\Access\\Recent Files,\\11.0\\Common\\Open Find\\Microsoft Access\\Settings,\\11.0\\Access\\Recent Templates,\\11.0\\Access\\Resiliency\\DocumentRecovery,\\11.0\\Access\\Resiliency\\DisabledItems,";
	sKeyPara = sKeyPara .. "\\11.0\\Common\\Open Find\\Microsoft Office Access\\Settings,\\11.0\\Access\\Settings,\\11.0\\Access\\Internet\\Recent Templates,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\PowerPoint\\Recent File List,\\11.0\\PowerPoint\\ProjectTemplateLocation,\\11.0\\PowerPoint\\RecentFolderList,\\11.0\\PowerPoint\\RecentTemplateList,";
	sKeyPara = sKeyPara .. "\\11.0\\PowerPoint\\Recent Templates,\\11.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings,\\11.0\\PowerPoint\\Recent Templates,";
	sKeyPara = sKeyPara .. "\\11.0\\PowerPoint\\Resiliency\\DocumentRecovery,\\11.0\\PowerPoint\\Resiliency\\DisabledItems,";
	sKeyPara = sKeyPara .. "\\11.0\\Common\\Open Find\\Microsoft Office PowerPoint\\Settings,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKeyPara = "\\11.0\\FrontPage\\Recent Files,\\11.0\\Common\\Open Find\\Microsoft FrontPage\\Settings,\\11.0\\FrontPage\\Recent Templates,\\11.0\\FrontPage\\Resiliency\\DocumentRecovery,\\11.0\\FrontPage\\Resiliency\\DisabledItems,";
	sKeyPara = sKeyPara .. "\\11.0\\Common\\Open Find\\Microsoft Office FrontPage\\Settings,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer";
	sKeyPara = "\\Recent File List,\\Recent Page List,\\Recent Web List,\\Recently Created Servers,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage";
	sKeyPara = "\\Editor\\Recent Templates,\\Explorer\\FindMRU,\\Recent Web List,\\Recently Created Servers,\\Editor\\Insert Hyperlink\\Recently Used URLs,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer";
	sKeyPara = "\\Settings,LastWebOpen";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);	
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Office";
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Microsoft Office Publisher\\Settings,\\11.0\\Publisher\\Recent File List,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Microsoft Office InfoPath\\Settings,\\11.0\\InfoPath\\Recent File List,\\11.0\\InfoPath\\Recent Templates,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Microsoft Project\\Settings,\\11.0\\MS Project\\Recent File List,\\11.0\\MS Project\\ProjectTemplateLocation,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Microsoft Office Visio\\Settings,\\11.0\\Visio\\Recent Templates,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Add Clips to Organizer\\Settings,\\11.0\\Common\\Open Find\\Clip Organizer\\Settings\\Add Directory to Collection Properties\\File Name MRU,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Microsoft Office Picture Manager\\Settings\\Add Picture Shortcut\\File Name MRU,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKeyPara = "\\11.0\\Common\\Open Find\\Microsoft Document Imaging\\Settings,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\MSPaper 11.0";
	sKeyPara = "\\Recent File List,\\Persist File Name";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Clip Organizer\\mstore10.mgc","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Clip Organizer\\mstore10.mgc","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\OIS\\OIScatalog.cag","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\OIS\\OIScatalog.cag","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Office\\Recent\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Office\\Recent\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS

	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Web Server Extensions\\Cache\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Web Server Extensions\\Cache\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS	

	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\OIS\\thumbnails\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\OIS\\thumbnails\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS	
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaCleaner2007()

	strTitle ="擦除MS Office 2007使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃MS Office 2007ㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="MS Office 2007"
  end
	
	--require "vcl"

	WYZL.PlugReset();
	
	--VCL.ShowMessage(strTitle);
	
  sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Office";
  
	sKeyPara = "\\12.0\\Common\\Open Find\\Microsoft Office Word\\Settings\\Save As\\File Name MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Word\\File MRU,\\12.0\\Excel\\File MRU,\\12.0\\PowerPoint\\File MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Publisher\\Recent File List,\\12.0\\InfoPath\\Recent File List,";
	sKeyPara = sKeyPara .. "\\12.0\\Common\\Open Find\\Microsoft Office PowerPoint\\Settings\\Save As\\File Name MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Common\\Open Find\\Microsoft Office InfoPath\\Settings\\Open\\File Name MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Common\\Open Find\\Microsoft Office InfoPath\\Settings\\Save As\\File Name MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Common\\Open Find\\Microsoft Office Excel\\Settings\\Save As\\File Name MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Common\\Open Find\\Microsoft Office Publisher\\Settings\\Save As\\File Name MRU,";
	sKeyPara = sKeyPara .. "\\12.0\\Access\\Settings\\MRU,\\12.0\\Publisher\\Recent File List,\\12.0\\InfoPath\\Recent File List,";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end

end;

